Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.jca
Class JcaMessageAwareListener

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
          org.jboss.soa.esb.listeners.jca.JcaMessageAwareListener

All Implemented Interfaces:
  java.io.Serializable, InflowMessageProcessor, ManagedLifecycle

    public class JcaMessageAwareListener

extends AbstractManagedLifecycle
implements InflowMessageProcessor

Author:
  Kevin Conner
See Also:
  Serialized Form

Field Summary
`protected T` | `bean`

Fields inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`PARAM_TERMINATION_PERIOD`

Constructor Summary
`JcaMessageAwareListener(ConfigTree config)`

Method Summary
`protected void` | `doDestroy()` Handle the destroy of the managed instance.
`protected void` | `doInitialise()` Handle the initialisation of the managed instance.
`protected void` | `doStart()` Handle the start of the managed instance.
`protected void` | `doStop()` Handle the stop of the managed instance.
`protected java.lang.String` | `getDescription()`
`protected boolean` | `isTransactional()`
`void` | `process(java.lang.Object messageIn)`

Methods inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`addManagedLifecycleEventListener, changeState, destroy, getConfig, getState, getTerminationPeriod, initialise, removeManagedLifecycleEventListener, start, stop, waitUntilDestroyed, waitUntilDestroyed, waitUntilNotState, waitUntilState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bean

    protected T bean

Constructor Detail

### JcaMessageAwareListener

    public JcaMessageAwareListener(ConfigTree config)
                            throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### getDescription

    protected java.lang.String getDescription()

### doInitialise

    protected void doInitialise()
                         throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the initialisation of the managed instance.

  Throws:
    `ManagedLifecycleException` - for errors while initialisation.

### doDestroy

    protected void doDestroy()
                      throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the destroy of the managed instance.

  Throws:
    `ManagedLifecycleException` - for errors while destroying.

### process

    public void process(java.lang.Object messageIn)

  Specified by:
    `process` in interface `InflowMessageProcessor`

### doStart

    protected void doStart()

  Description copied from class: `AbstractManagedLifecycle`
  Handle the start of the managed instance.

  Specified by:
    `doStart` in class `AbstractManagedLifecycle`

### doStop

    protected void doStop()
                   throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the stop of the managed instance.

  Specified by:
    `doStop` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while stopping.

### isTransactional

    protected boolean isTransactional()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD